# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ ../../../lib/lxc-container.nix
      ../../../lib/shared.nix
      ../../../lib/admins.nix
      ./proxy.nix
    ];

  networking.hostName = "public-access-proxy";

  my.services.proxy = {
    enable = true;
    proxyHosts = [
      {
        hostNames = [ "c3d2.arkom.men" ];
        proxyTo = { host = "80.153.192.57"; httpPort = 80; httpsPort = 443; };
      }
      {
        hostNames = [ "cloud.bombenverleih.de" "arkom.men" "kl.arkom.men" "cloud.arkom.men" ];
        proxyTo = { host = "fe80::461e:a1ff:fe59:2ee8"; httpPort = 80; httpsPort = 443; };
      }
    ];
  };

  networking.firewall.allowedTCPPorts = [ 
    80
    443
   ];

  system.stateVersion = "18.09"; # Did you read the comment?

}
